godo.Nfs.DeleteSnapshot()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Nfs.DeleteSnapshot(ctx context.Context, nfsSnapshotID string, region string) (*godo.Response, error)Description
Delete deletes an NFS snapshot by ID and region.
This method sends a DELETE request to /v2/nfs/snapshots/{}.
Parameters
nfsSnapshotIDstring requiredregionstring required
Returns
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Response
Response is a DigitalOcean response. This wraps the standard http.Response returned from DigitalOcean.
Response*http.ResponseLinks*godo.LinksLinksthat were returned with the response. These are parsed from
request body and not the header.Meta*godo.MetaMetadescribes generic information about the response.MonitorstringMonitoring URI
Rategodo.Rate
Request Sample
More Information
See DELETE /v2/nfs/snapshots/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.